Subject: Re: bug#32672: 27.0.50; image resize on window resizing

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Sep 2019 15:27:59 +0200

Juri Linkov <[email-masked]> writes:

> Using new hooks I noticed only one problem that when the same image buffer is
> displayed in several windows then using `other-window' to switch between them,
> the selection-change hook is not always called.

[...]

> +	(add-hook 'window-size-change-functions (debounce #'image-window-change 1) nil t)
> +	(add-hook 'window-state-change-functions (debounce #'image-window-change 1) nil t)
> +	(add-hook 'window-selection-change-functions (debounce #'image-window-change 1) nil t)
> +

I think this sounds like a nice addition for image-mode...  but were the
remaining edge cases ever resolved?  I see that the patch hasn't been
applied.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no